#
# spec file for package yast2-metapackage-handler (Version 0.8.10)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           yast2-metapackage-handler
Version:        0.8.10
Release:        0.1.1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        yast2-metapackage-handler-0.8.10.tar.bz2
Prefix:         /usr
Group:          System/YaST
License:        GPL v2 or later
# should be required by devtools
BuildRequires:  perl-XML-Writer pkgconfig
# y2tool
BuildRequires:  yast2-devtools
# ycpc
BuildRequires:  yast2-core
# we have a Perl part
BuildRequires:  yast2-perl-bindings
BuildRequires:  perl-XML-XPath
BuildRequires:  yast2
BuildRequires:  yast2-country-data
BuildRequires:  yast2-transfer
BuildRequires:  yast2-packager
# desktop files
BuildRequires:  update-desktop-files
Patch0:         SLE.diff
Patch1:         103.diff
Requires:       yast2-perl-bindings
Requires:       perl-XML-XPath
Requires:       yast2
Requires:       yast2-packager
Requires:       yast2-transfer
# Language
Requires:       yast2-country-data
# needed at runtime for invoking root mode
Requires:       /usr/bin/xdg-su
BuildArch:      noarch
Summary:        YaST2 - Easy Installation of Add-on RPMs using Metapackages

%description
With this technology users can install packages and add repositories
with a simple click on a link in a website.

%prep
%setup -n yast2-metapackage-handler-0.8.10
%if %suse_version <= 1020
%patch0
%endif
%if %suse_version <= 1030
%patch1
%endif

%build
%{prefix}/bin/y2tool y2autoconf
%{prefix}/bin/y2tool y2automake
autoreconf --force --install
export CFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
export CXXFLAGS="$RPM_OPT_FLAGS -DNDEBUG"
%{?suse_update_config:%{suse_update_config -f}}
./configure --libdir=%{_libdir} --prefix=%{prefix} --mandir=%{_mandir}
# V=1: verbose build in case we used AM_SILENT_RULES(yes)
# so that RPM_OPT_FLAGS check works
make %{?jobs:-j%jobs} V=1

%install
make install DESTDIR="$RPM_BUILD_ROOT"
[ -e "%{prefix}/share/YaST2/data/devtools/NO_MAKE_CHECK" ] || Y2DIR="$RPM_BUILD_ROOT/usr/share/YaST2" make check DESTDIR="$RPM_BUILD_ROOT"
for f in `find $RPM_BUILD_ROOT/%{prefix}/share/applications/YaST2/ -name "*.desktop"` ; do
    d=${f##*/}
    %suse_update_desktop_file -d ycc_${d%.desktop} ${d%.desktop}
done
%if %suse_version <= 1020
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/applnk/.hidden/
mkdir -p $RPM_BUILD_ROOT/opt/kde3/share/mimelnk/text/
chmod -R 0755 $RPM_BUILD_ROOT/opt/kde3
install -m 0644 src/kdeymp.desktop \
	$RPM_BUILD_ROOT/opt/kde3/share/applnk/.hidden/
install -m 0644 src/x-suse-ymp.desktop \
	$RPM_BUILD_ROOT/opt/kde3/share/mimelnk/text/
%endif
%suse_update_desktop_file yast2-metapackage-handler 
%suse_update_desktop_file yast2-metapackage-handler-ymu

%clean
rm -rf "$RPM_BUILD_ROOT"

%post
# #330352, SuSEconfig.desktop-file-utils only calls
# update-desktop-database
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%postun
if test -x usr/bin/update-mime-database ; then
  usr/bin/update-mime-database usr/share/mime >/dev/null
fi

%files
%defattr(-,root,root)
%doc %{prefix}/share/doc/packages/yast2-metapackage-handler
/sbin/OneClickInstallUI
/sbin/OneClickInstallUrlHandler
/sbin/OneClickInstallCLI
/sbin/OCICLI
%dir /usr/share/YaST2/clients
/usr/share/YaST2/clients/*.ycp
%dir /usr/share/YaST2/modules
/usr/share/YaST2/modules/*.ycp
/usr/share/YaST2/modules/*.ybc
/usr/share/YaST2/modules/*.pm
%if %suse_version <= 1020
/opt/kde3
%endif
%{_datadir}/mime/packages/*.xml
%{_datadir}/applications/yast2-metapackage-handler*.desktop
%changelog
* Tue Nov 10 2009 mvidner@suse.cz
- Fixed translations (bnc#543745) by changing the text domain from
  OneClickInstall to oneclickinstall, which is what is in the
  translation repo. Other yast modules use lowercase too.
- 0.8.10
* Mon May 25 2009 mvidner@suse.cz
- Added -h, --help to /sbin/OCICLI.
* Thu Apr  2 2009 lslezak@suse.cz
- properly initialize package slideshow, display correct
  installation progress (bnc#482320)
- 0.8.9
* Thu Feb 12 2009 coolo@suse.de
- make the desktop files more XDG compliant
- 0.8.8
* Mon Sep  8 2008 mvidner@suse.cz
- Applied proofreading changes from Andrew Spackman.
- 0.8.7
* Thu Sep  4 2008 visnov@suse.cz
- Adapt to SlideShow API changes
* Mon Jul 14 2008 locilka@suse.cz
- Removed useless dependency on yast2-installation, fixed
  dependency on yast2-country -> yast2-country-data.
- 0.8.6
* Thu Jun 26 2008 benji@opensuse.org
- Fix bnc #392257 (Back button enabled after installation)
- Fix bnc #401885 (UI Error when no repositories added during installation)
* Fri May 16 2008 jsrain@suse.cz
- added categories Settings and System into desktop file
  (bnc #382778)
* Mon May  5 2008 mvidner@suse.cz
- 0.8.5
* Sat May  3 2008 benji@opensuse.org
- Fixed progress dialogue flicker when adding repositories (bnc#386383)
* Wed Apr 30 2008 mvidner@suse.cz
- reviewed for autobuild
* Tue Apr 29 2008 benji@opensuse.org
- Fixed duplicated Wizard steps (bnc#384492).
- Allow translatable repository names.
- Disabled back button when on first step of wizard.
- 0.8.4
* Wed Apr 16 2008 jsrain@suse.cz
- merged texts from proofread
- 0.8.3
* Fri Apr  4 2008 benji@opensuse.org
- Prefer installing packages from repositories defined in the YMP.
* Sat Mar 29 2008 benji@opensuse.org
- Fix error stage reporting.
- Switch to slideshow for installation progress, instead of popups.
* Tue Mar 18 2008 benji@opensuse.org
- Command line Support.
- Move dialogues out of main file to reduce size.
- Refactor workflow so both UI and CLI can use it.
- UI tweaks, including:
- Don't show this again support for nag warning.
- Removed "advanced mode" tickbox in favour of an editable proposal.
- YMP description visible in detailed mode too.
- 0.8.0
* Tue Nov 27 2007 benji.weber@gmail.com
- Catch errors caused by invalid XML. (341840)
- Fall back to xdg_menu_su on xdg_su failure.
* Mon Nov 19 2007 locilka@suse.cz
- Fixed used terminology (repositories) (FATE #302970).
* Thu Nov  8 2007 mvidner@suse.cz
- Fixed missing association by calling update-mime-database (#330352).
- 0.7.3
* Wed Oct 31 2007 benji.weber@gmail.com
- Allow package names that are not valid XML element names e.g. 3ddiag (#331557)
- Alter default error message to indicate most likely cause for failure - user didn't enter password (#310813)
* Thu Oct  4 2007 mvidner@suse.cz
- Use an actual icon (sw_single) for the YaST windows instead of the
  default one (#329644).
- 0.7.2
* Mon Sep 17 2007 mvidner@suse.cz
- Fixed broken pattern installing and package removal (#325600).
- Fixed installation failing if no repositories were added (#325600).
- Fixed the close button (#309146). (both benji)
- 0.7.1
* Tue Sep  4 2007 stbinner@suse.de
- .desktop files have to contain NoDisplay=true, not Hidden=true
* Mon Sep  3 2007 mvidner@suse.cz
- Added associations for Firefox, via shared-mime-info (#295677).
- Use translations for buttons and heading (benji).
- 0.7.0
* Thu Aug 30 2007 mvidner@suse.cz
- Do not add duplicate repositories (#300974). Also uses correct
  name when adding repositories. This change breaks compatibility
  with 10.2.
- Fixed a failure when run as root (#305354).
- Fixed bad appearance when using YMPs with no description or for
  the wrong distribution.
  (all by benji)
- 0.6.0
* Tue Aug 14 2007 jsuchome@suse.cz
- Merged proofread texts
- 0.5.3
* Mon Aug  6 2007 mvidner@suse.cz
- Added 10.3 to the tuxsaver example.
- 0.5.2
* Mon Aug  6 2007 mvidner@suse.cz
- Delete newlines before processing URL (benji).
- Handle file: URLs (benji).
- Updated the tuxsaver example.
* Mon Aug  6 2007 mvidner@suse.cz
- Implementing http://en.opensuse.org/Standards/One_Click_Install
- Use yast2-devtools for building
- 0.5
* Wed Aug  1 2007 mvidner@suse.cz
- Add mimetype desktop files for distros before 10.3 (in OBS
  openSUSE:Tools) (adrian)
- Require /usr/bin/xdg-su (adrian)
- 0.4.1
* Mon Jul 23 2007 mvidner@suse.cz
- Mime type changed from text/ymu to text/x-suse-ymu (#292715).
- 0.4
* Fri Jun  8 2007 mvidner@suse.cz
- Use xdg-su instead of kdesu.
- Removed KDE config stuff, will be put it to kdebase3-SUSE.
- Removed prototype of search client.
- 0.3
* Fri May 25 2007 jsrain@suse.cz
- removed outdated translations from .desktop-files (#271209)
* Thu May 17 2007 mvidner@suse.cz
- Call the complex package selector in summary mode if there are
  non-automatically resolvable conflicts (#274058).
- 0.2
* Fri May 11 2007 mvidner@suse.cz
- initial packaging for autobuild
